us.zoom.sdk

## Class MeetingActivity

- java.lang.Object
- - android.content.Context
  - - android.content.ContextWrapper
    - - android.view.ContextThemeWrapper
      - - android.app.Activity
        - - android.support.v4.app.SupportActivity
          - - android.support.v4.app.FragmentActivity
            - - us.zoom.androidlib.app.ZMActivity
              - - com.zipow.videobox.ConfActivity
                - - com.zipow.videobox.ConfActivityNormal
                  - - us.zoom.sdk.MeetingActivity

- All Implemented Interfaces:
    android.content.ComponentCallbacks, android.content.ComponentCallbacks2, android.support.v4.app.ActivityCompat.OnRequestPermissionsResultCallback, android.support.v4.app.ActivityCompatApi23.RequestPermissionsRequestCodeValidator, android.view.KeyEvent.Callback, android.view.LayoutInflater.Factory, android.view.LayoutInflater.Factory2, android.view.SurfaceHolder.Callback, android.view.View.OnClickListener, android.view.View.OnCreateContextMenuListener, android.view.Window.Callback, com.zipow.videobox.confapp.ConfUI.IConfUIListener, com.zipow.videobox.confapp.IConfParams, com.zipow.videobox.share.ScreenShareMgr.Listener, com.zipow.videobox.util.AppStateMonitor.IAppStateListener, com.zipow.videobox.view.ConfToolbar.Listener, com.zipow.videobox.view.ConfToolsPanel.Listener, com.zipow.videobox.view.IFeccListener, com.zipow.videobox.view.video.RCFloatView.IRemoteControlButtonStatusListener, com.zipow.videobox.view.video.VideoView.Listener, com.zipow.videobox.view.ZMFeccView.FeccListener, us.zoom.androidlib.util.IListener, us.zoom.androidlib.util.IUIElement

      public class MeetingActivity
      extends com.zipow.videobox.ConfActivityNormal

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `com.zipow.videobox.ConfAccessibilityActivity.AccessibilityRetainedFragment`

    - ### Nested classes/interfaces inherited from class com.zipow.videobox.ConfActivityNormal

      `com.zipow.videobox.ConfActivityNormal.BOStartRequestDialog, com.zipow.videobox.ConfActivityNormal.SelectURLDialog, com.zipow.videobox.ConfActivityNormal.ShareAlertDialog, com.zipow.videobox.ConfActivityNormal.SharePermissionAlertDialog`

    - ### Nested classes/interfaces inherited from class com.zipow.videobox.ConfActivity

      `com.zipow.videobox.ConfActivity.CloseOtherMeetingDialog, com.zipow.videobox.ConfActivity.LeaveAlertDialog, com.zipow.videobox.ConfActivity.NamePasswordDialog, com.zipow.videobox.ConfActivity.NewIncomingCallDialog, com.zipow.videobox.ConfActivity.PermissionPromptDialog, com.zipow.videobox.ConfActivity.PermissionUnableAccessDialog, com.zipow.videobox.ConfActivity.PlayerReminderDialog, com.zipow.videobox.ConfActivity.RetainedFragment, com.zipow.videobox.ConfActivity.SwitchCallDialog, com.zipow.videobox.ConfActivity.SwitchStartMeetingDialog, com.zipow.videobox.ConfActivity.UpgradeFreeMeetingDialog, com.zipow.videobox.ConfActivity.UpgradeFreeMeetingErrorDialog, com.zipow.videobox.ConfActivity.WebinarNeedRegisterDialog`

    - ### Nested classes/interfaces inherited from class us.zoom.androidlib.app.ZMActivity

      `us.zoom.androidlib.app.ZMActivity.GlobalActivityListener`

    - ### Nested classes/interfaces inherited from class android.support.v4.app.SupportActivity

      `android.support.v4.app.SupportActivity.ExtraData`

  - ### Field Summary

    - ### Fields inherited from class com.zipow.videobox.ConfActivity

      `ACTION_ACCEPT_CALL, ACTION_CALL_MY_PHONE, ACTION_JOIN_BY_ID, ACTION_JOIN_BY_URL, ACTION_MEETING_JBH, ACTION_NEW_INCOMING_CALL, ACTION_PT_ASK_TO_LEAVE, ACTION_RETURN_TO_CONF, ACTION_START_CONFERENCE, ACTION_START_SHARE_CON, ACTION_SWITCH_CALL, ARG_CONF_NUMBER, ARG_INVITATION, ARG_IS_START, ARG_LEAVE_REASON, ARG_SCREEN_NAME, ARG_UPDATE, ARG_URL_ACTION, BO_WAITING_SECONDS, mVideoSceneMgr, REQUEST_AV_START, REQUEST_AV_TOGGLE_MUTE, REQUEST_BOOKMARK, REQUEST_CALL_ME, REQUEST_CHAT, REQUEST_CHOOSE_BOOKMARK, REQUEST_CHOOSE_PICTURE, REQUEST_CONF_INFO, REQUEST_DOCUMENT, REQUEST_DOCUMENT_PICKER, REQUEST_ENABLE_BT, REQUEST_HOST_ASK_UNMUTE, REQUEST_INVITE, REQUEST_INVITE_BY_PHONE, REQUEST_LOCATION_PERMISSION_FOR_KUBI, REQUEST_PERMISSION_DELAY_TIME, REQUEST_PLIST, REQUEST_POLLING, REQUEST_POLLING_RESULT, REQUEST_SHARE_SCREEN_PERMISSION, REQUEST_SYSTEM_ALERT_WINDOW, REQUEST_WAITING_JOIN, SHARE_BOOKMARK, SHARE_BOX, SHARE_DROPBOX, SHARE_GOOGLE_DRIVE, SHARE_IMAGE, SHARE_NATIVE_FILE, SHARE_ONE_DRIVE, SHARE_SCREEN, SHARE_URL, SHARE_WHITEBOARD`

    - ### Fields inherited from class android.app.Activity

      `DEFAULT_KEYS_DIALER, DEFAULT_KEYS_DISABLE, DEFAULT_KEYS_SEARCH_GLOBAL, DEFAULT_KEYS_SEARCH_LOCAL, DEFAULT_KEYS_SHORTCUT, FOCUSED_STATE_SET, RESULT_CANCELED, RESULT_FIRST_USER, RESULT_OK`

    - ### Fields inherited from class android.content.Context

      `ACCESSIBILITY_SERVICE, ACCOUNT_SERVICE, ACTIVITY_SERVICE, ALARM_SERVICE, APP_OPS_SERVICE, APPWIDGET_SERVICE, AUDIO_SERVICE, BATTERY_SERVICE, BIND_ABOVE_CLIENT, BIND_ADJUST_WITH_ACTIVITY, BIND_ALLOW_OOM_MANAGEMENT, BIND_AUTO_CREATE, BIND_DEBUG_UNBIND, BIND_IMPORTANT, BIND_NOT_FOREGROUND, BIND_WAIVE_PRIORITY, BLUETOOTH_SERVICE, CAMERA_SERVICE, CAPTIONING_SERVICE, CARRIER_CONFIG_SERVICE, CLIPBOARD_SERVICE, CONNECTIVITY_SERVICE, CONSUMER_IR_SERVICE, CONTEXT_IGNORE_SECURITY, CONTEXT_INCLUDE_CODE, CONTEXT_RESTRICTED, DEVICE_POLICY_SERVICE, DISPLAY_SERVICE, DOWNLOAD_SERVICE, DROPBOX_SERVICE, FINGERPRINT_SERVICE, INPUT_METHOD_SERVICE, INPUT_SERVICE, JOB_SCHEDULER_SERVICE, KEYGUARD_SERVICE, LAUNCHER_APPS_SERVICE, LAYOUT_INFLATER_SERVICE, LOCATION_SERVICE, MEDIA_PROJECTION_SERVICE, MEDIA_ROUTER_SERVICE, MEDIA_SESSION_SERVICE, MIDI_SERVICE, MODE_APPEND, MODE_ENABLE_WRITE_AHEAD_LOGGING, MODE_MULTI_PROCESS, MODE_PRIVATE, MODE_WORLD_READABLE, MODE_WORLD_WRITEABLE, NETWORK_STATS_SERVICE, NFC_SERVICE, NOTIFICATION_SERVICE, NSD_SERVICE, POWER_SERVICE, PRINT_SERVICE, RESTRICTIONS_SERVICE, SEARCH_SERVICE, SENSOR_SERVICE, STORAGE_SERVICE, TELECOM_SERVICE, TELEPHONY_SERVICE, TELEPHONY_SUBSCRIPTION_SERVICE, TEXT_SERVICES_MANAGER_SERVICE, TV_INPUT_SERVICE, UI_MODE_SERVICE, USAGE_STATS_SERVICE, USB_SERVICE, USER_SERVICE, VIBRATOR_SERVICE, WALLPAPER_SERVICE, WIFI_P2P_SERVICE, WIFI_SERVICE, WINDOW_SERVICE`

    - ### Fields inherited from interface com.zipow.videobox.view.IFeccListener

      `FECC_ACTION_CONTINUE, FECC_ACTION_START, FECC_ACTION_STOP, FECC_EVENT_DOWN, FECC_EVENT_LEFT, FECC_EVENT_NONE, FECC_EVENT_OUTRANGE, FECC_EVENT_RIGHT, FECC_EVENT_UP, FECC_EVENT_ZOOM_IN, FECC_EVENT_ZOOM_OUT`

    - ### Fields inherited from interface com.zipow.videobox.confapp.IConfParams

      `CONF_PARAM_CLOSE_ON_LEAVE_MEETING, CONF_PARAM_CUSTOM_MEETING_ID, CONF_PARAM_INVITE_OPTIONS, CONF_PARAM_MEETING_VIEWS_OPTIONS, CONF_PARAM_NO_BOTTOM_TOOLBAR, CONF_PARAM_NO_DIAL_IN, CONF_PARAM_NO_DIAL_OUT, CONF_PARAM_NO_DISCONNECT_AUDIO, CONF_PARAM_NO_DRIVING_MODE, CONF_PARAM_NO_INVITE, CONF_PARAM_NO_MEETING_END_MESSAGE, CONF_PARAM_NO_MEETING_ERROR_MESSAGE, CONF_PARAM_NO_SHARE, CONF_PARAM_NO_TITLEBAR, CONF_PARAM_SHOW_WATER_MARK`

    - ### Fields inherited from interface android.content.ComponentCallbacks2

      `TRIM_MEMORY_BACKGROUND, TRIM_MEMORY_COMPLETE, TRIM_MEMORY_MODERATE, TRIM_MEMORY_RUNNING_CRITICAL, TRIM_MEMORY_RUNNING_LOW, TRIM_MEMORY_RUNNING_MODERATE, TRIM_MEMORY_UI_HIDDEN`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MeetingActivity()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `canSwitchAudioSource()` Check if can switch audio source
    `boolean` | `canSwitchCamera()` Check if it can switch camera now
    `boolean` | `connectVoIP()` Connect audio with VoIP
    `void` | `disconnectAudio()` Disconnect audio connection
    `void` | `dismissAllTips()` Dismiss all tips (includes option menus)
    `void` | `doAudioAction()` Do audio action like the standard behavior of Zoom:
    `static java.lang.String` | `getConfChatAccessibilityDescription(android.content.Context context, com.zipow.videobox.view.ConfChatItem confChatItem)`
    `int` | `getCurrentAudioSourceType()` get Current audio source type
    `protected int` | `getLayout()` Get the layout ID for MeetingActivity.
    `boolean` | `isAllowToChat()` Check if current meeting allow to chat
    `protected boolean` | `isAlwaysFullScreen()` Return true if your MeetingActivity layout is always full screen (There is no other content around meeting content).
    `boolean` | `isAudioConnected()` Check if audio is connected
    `boolean` | `isAudioMuted()` Check if microphone is muted
    `boolean` | `isCMREnabled()` For check whether cloud record is enabled
    `boolean` | `isCMRInProgress()` For check whether cloud record is in progress
    `boolean` | `isImmersedModeEnabled()`
    `boolean` | `isInSilentMode()` Check if it is now in silent mode
    `boolean` | `isMeetingConnected()` Check if meeting is connected
    `boolean` | `isRaisedHand()` get my raise hand status
    `protected boolean` | `isSensorOrientationEnabled()` Return false if you want to specify orientation in your code
    `boolean` | `isSharingOut()` Check if current user is sharing.
    `boolean` | `isVideoMuted()` Check if video is muted
    `void` | `lowerHand()` Lower my hand
    `void` | `muteAudio(boolean mute)` Mute microphone
    `void` | `muteVideo(boolean mute)` Mute video
    `protected void` | `onAudioStatusChanged()` Called on my audio status is changed.
    `protected void` | `onMeetingConnected()` Call on meeting is connected.
    `protected void` | `onMyAudioSourceTypeChanged()` Called on my audio source type is changed.
    `protected void` | `onMyAudioTypeChanged()` Called on my audio type is changed.
    `protected void` | `onMyRaiseLowerHandStatusChanged(boolean isRaiseHand)` Called on my raise hand status is changed.
    `protected void` | `onMyVideoStatusChanged()` Called on my video status is changed.
    `protected void` | `onSilentModeChanged(boolean inSilentMode)` Call on meeting silent mode is changed.
    `protected void` | `onStartShare()` Called on my sharing is started.
    `protected void` | `onStopShare()` Called on my sharing is stopped.
    `void` | `processSpokenAccessibilityForConfCmd(android.view.View focusView, int cmd, long ret)` Process spoken accessibility for conf cmd.
    `void` | `raiseHand()` Raise my hand
    `void` | `showAudioOptions()` Show audio options menu
    `void` | `showChatsView()` Show meeting chat view
    `void` | `showLeaveDialog()` Show leave meeting dialog
    `void` | `showMoreOptions()` Show more options
    `void` | `showParticipants()` Show participants screen
    `void` | `showShareOptions()` Show share options menu
    `void` | `showVideoOptions()` Show video options menu
    `void` | `startCloudRecord()` Start cloud record in meeting
    `void` | `stopCloudRecord()` Stop cloud record in meeting
    `void` | `stopShare()` Stop share
    `void` | `switchAudioSource()` Switch audio source.
    `void` | `switchToNextCamera()` Switch to next camera

    - ### Methods inherited from class com.zipow.videobox.ConfActivityNormal

      `askScreenSharePermission, attendeeVideoControlChanged, attendeeVideoLayoutChanged, beforeGLContextDestroyed, beforeSurfaceDestroyed, dismissTempTips, enterHostKeyToClaimHost, focusConfToolbarButton, getRCMouseView, getShareVideoScene, getToolbarHeight, getTopbarHeight, getVideoSceneMgr, getVideoViewLocationonScrennY, handleOnVideoFECCCmd, hostAskUnmute, isBottombarShowing, isInToolbarRect, isSwitchCameraEnabled, isToolbarShowing, isTopbarShowing, joinBO, onActivityResult, onAnnoStatusChanged, onAppActivated, onAppInactivated, onAudioSourceTypeChanged, onCallTimeOut, onCameraStatusEvent, onChatMessageReceived, onCheckCMRPrivilege, onClick, onClickAttendeeLowerHand, onClickAttendeeRaiseHand, onClickBtnAudio, onClickBtnVideo, onClickChats, onClickMore, onClickParticipants, onClickQA, onClickShare, onClickStopScreenShare, onClickStopShare, onClickSwitchCamera, onClosedCaptionMessageReceived, onConfigurationChanged, onConfLeaveComplete, onConfStatusChanged, onConfStatusChanged2, onCreate, onDestroy, onDeviceStatusChanged, onDraggingVideoScene, onDropVideoScene, onEnabledRC, onFeccClick, onFeccClose, onFeccSwitchCam, onFeccUserApproved, onHostAskUnmute, onInviteTipClosed, onJoinConfConfirmMeetingInfo, onJoinConfConfirmMeetingStatus, onJoinConfConfirmPasswordValidateResult, onKeyDown, onKeyUp, onKubiChoiceFragmentClosed, onLaunchConfParamReady, onMultiWindowModeChanged, onPause, onPListTipClosed, onPTAskToLeave, onRequestPermissionsResult, onResume, onSaveInstanceState, onStart, onStop, onToolbarVisiblilyChanged, onUpgradeThisFreeMeeting, onUserEvent, onUserStatusChanged, onVideoFECCCommand, onVideoSceneChanged, onVideoViewDetachedFromWindow, onVideoViewDoubleTap, onVideoViewDown, onVideoViewFling, onVideoViewHoverEvent, onVideoViewScroll, onVideoViewSingleTapConfirmed, onVideoViewTouchEvent, onWebinarNeedRegister, refreshUnreadChatCount, requestBOForHelp, selectBOLeaveType, selectShareType, setShareCaptureObject, setShareViewVisible, showAnnotateViewWhenSceneChanged, showAttendeeList, showEnterHostKeyDialog, showPList, showShareTip, showTipMicEchoDetected, showVerifyHostKeyDialog, startShareScreen, startShareSession, startShareWebview, stopShareSession, surfaceChanged, surfaceCreated, surfaceDestroyed, switchViewToConfView, switchViewToWaitingJoinView, toggleVideoStatus`

    - ### Methods inherited from class com.zipow.videobox.ConfActivity

      `acceptCall, callABContact, canControlUserCamera, canSwitchUserCamera, checkBOStatus, checkStartVideo, confirmWebinarRegisterInfo, doRequestPermission, endBO, finish, finishSubActivities, getBOConfStatus, getBOControlStatus, getBOHostUser, getBOMeetingNameByBid, getBOUser, getBOUserStatus, getCustomMeetingId, getInviteOptions, getIsVideoOnBeforeShare, getIsVideoStarted, getmVideoSceneMgr, getMyAudioType, getMyBOMeeting, getMyBOMeetingName, getNumberOfCameras, getRetainedFragment, handleOnCameraStatusEvent, handleOnPTAskToLeave, handleOnPTAskToLeaveForUpdate, hasTipPointToToolbar, initStatus, inviteToVideoCall, isArrowAcceleratorDisabled, isAudioButtonDisabled, isBOControllerStarted, isBOStartedAndUnassigned, isBottomBarDisabled, isCallingOut, isDialInDisabled, isDialOutDisabled, isDisconnectAudioDisabled, isDriverModeDisabled, isHostInThisBoMeeting, isInBOController, isInBOMeeting, isInviteDisabled, isLeaveButtonDisabled, isMeetingIdTextDisabled, isMoreButtonDisabled, isNetworkRestrictionMode, isOtherSharing, isPasswordTextDisabled, isPlistButtonDisabled, isShareButtonDisabled, isShowSdkWaterMark, isSwitchAudioSourceButtonDisabled, isSwitchCameraButtonDisabled, isTitleBarDisabled, isUserInBOMeeting, isUserInThisBOMeeting, isUserJoinOrLeaveTipDisabled, isVideoButtonDisabled, isWebinarAttendeeRaiseHand, joinBO, joinById, joinByUrl, joinByUrl, launchCallForWebStart, leaveBO, notifyVolumeChanged, onBackPressed, onClickBtnBack, onClickLeave, onNewIncomingCall, onNewIntent, onSentInvitationDone, requestPendingPermission, requestPermission, returnToConf, setIsVideoOnBeforeShare, showCmrStorageFull, showLeaveBODialog, startConference, startConference, startConfUI, startGroupCall, startMeeting, startMeetingCallFromZoomMessenger, startMyVideo, switchCamera, toggleSpeakerPhone, webStart`

    - ### Methods inherited from class us.zoom.androidlib.app.ZMActivity

      `addDisableGestureFinishView, addGlobalActivityListener, disableFinishActivityByGesture, dispatchGenericMotionEvent, dispatchKeyEvent, dispatchKeyShortcutEvent, dispatchPopulateAccessibilityEvent, dispatchTouchEvent, dispatchTrackballEvent, finishActivityFromFragment, getEventTaskManager, getFragmentIndex, getFrontActivity, getInProcessActivityCountInStack, getInProcessActivityInStackAt, hasActivityCreated, isActive, isActivityDestroyed, isDestroyed, isInMultiWindowMode, onRestoreInstanceState, removeDisableGestureFinishView, removeGlobalActivityListener, zm_checkSelfPermission, zm_requestPermissions`

    - ### Methods inherited from class android.support.v4.app.FragmentActivity

      `dump, getLastCustomNonConfigurationInstance, getSupportFragmentManager, getSupportLoaderManager, getSupportMediaController, onAttachFragment, onCreatePanelMenu, onLowMemory, onMenuItemSelected, onPanelClosed, onPictureInPictureModeChanged, onPostResume, onPrepareOptionsPanel, onPreparePanel, onResumeFragments, onRetainCustomNonConfigurationInstance, onRetainNonConfigurationInstance, onStateNotSaved, setEnterSharedElementCallback, setExitSharedElementCallback, setSupportMediaController, startActivityForResult, startActivityFromFragment, startActivityFromFragment, startIntentSenderFromFragment, supportFinishAfterTransition, supportInvalidateOptionsMenu, supportPostponeEnterTransition, supportStartPostponedEnterTransition, validateRequestPermissionsRequestCode`

    - ### Methods inherited from class android.support.v4.app.SupportActivity

      `getExtraData, putExtraData`

    - ### Methods inherited from class android.app.Activity

      `addContentView, closeContextMenu, closeOptionsMenu, createPendingResult, dismissDialog, findViewById, finish, finishActivity, finishActivityFromChild, finishAffinity, finishAfterTransition, finishAndRemoveTask, finishFromChild, getActionBar, getApplication, getCallingActivity, getCallingPackage, getChangingConfigurations, getComponentName, getContentScene, getContentTransitionManager, getCurrentFocus, getFragmentManager, getIntent, getLastNonConfigurationInstance, getLayoutInflater, getLoaderManager, getLocalClassName, getMediaController, getMenuInflater, getParent, getParentActivityIntent, getPreferences, getReferrer, getRequestedOrientation, getSearchEvent, getSystemService, getTaskId, getTitle, getTitleColor, getVoiceInteractor, getVolumeControlStream, getWindow, getWindowManager, hasWindowFocus, invalidateOptionsMenu, isChangingConfigurations, isChild, isFinishing, isImmersive, isTaskRoot, isVoiceInteraction, isVoiceInteractionRoot, managedQuery, moveTaskToBack, navigateUpTo, navigateUpToFromChild, onActionModeFinished, onActionModeStarted, onActivityReenter, onApplyThemeResource, onAttachedToWindow, onAttachFragment, onChildTitleChanged, onContentChanged, onContextItemSelected, onContextMenuClosed, onCreate, onCreateContextMenu, onCreateDescription, onCreateDialog, onCreateDialog, onCreateNavigateUpTaskStack, onCreateOptionsMenu, onCreatePanelView, onCreateThumbnail, onDetachedFromWindow, onEnterAnimationComplete, onGenericMotionEvent, onKeyLongPress, onKeyMultiple, onKeyShortcut, onMenuOpened, onNavigateUp, onNavigateUpFromChild, onOptionsItemSelected, onOptionsMenuClosed, onPostCreate, onPostCreate, onPrepareDialog, onPrepareDialog, onPrepareNavigateUpTaskStack, onPrepareOptionsMenu, onProvideAssistContent, onProvideAssistData, onProvideReferrer, onRestart, onRestoreInstanceState, onSaveInstanceState, onSearchRequested, onSearchRequested, onTitleChanged, onTouchEvent, onTrackballEvent, onTrimMemory, onUserInteraction, onUserLeaveHint, onVisibleBehindCanceled, onWindowAttributesChanged, onWindowFocusChanged, onWindowStartingActionMode, onWindowStartingActionMode, openContextMenu, openOptionsMenu, overridePendingTransition, postponeEnterTransition, recreate, registerForContextMenu, releaseInstance, removeDialog, reportFullyDrawn, requestPermissions, requestVisibleBehind, requestWindowFeature, runOnUiThread, setActionBar, setContentTransitionManager, setContentView, setContentView, setContentView, setDefaultKeyMode, setEnterSharedElementCallback, setExitSharedElementCallback, setFeatureDrawable, setFeatureDrawableAlpha, setFeatureDrawableResource, setFeatureDrawableUri, setFinishOnTouchOutside, setImmersive, setIntent, setMediaController, setProgress, setProgressBarIndeterminate, setProgressBarIndeterminateVisibility, setProgressBarVisibility, setRequestedOrientation, setResult, setResult, setSecondaryProgress, setTaskDescription, setTitle, setTitle, setTitleColor, setVisible, setVolumeControlStream, shouldShowRequestPermissionRationale, shouldUpRecreateTask, showAssist, showDialog, showDialog, showLockTaskEscapeMessage, startActionMode, startActionMode, startActivities, startActivities, startActivity, startActivity, startActivityFromChild, startActivityFromChild, startActivityFromFragment, startActivityFromFragment, startActivityIfNeeded, startActivityIfNeeded, startIntentSender, startIntentSender, startIntentSenderFromChild, startIntentSenderFromChild, startLockTask, startManagingCursor, startNextMatchingActivity, startNextMatchingActivity, startPostponedEnterTransition, startSearch, stopLockTask, stopManagingCursor, takeKeyEvents, triggerSearch, unregisterForContextMenu`

    - ### Methods inherited from class android.view.ContextThemeWrapper

      `applyOverrideConfiguration, attachBaseContext, getResources, getTheme, setTheme`

    - ### Methods inherited from class android.content.ContextWrapper

      `bindService, checkCallingOrSelfPermission, checkCallingOrSelfUriPermission, checkCallingPermission, checkCallingUriPermission, checkPermission, checkSelfPermission, checkUriPermission, checkUriPermission, clearWallpaper, createConfigurationContext, createDisplayContext, createPackageContext, databaseList, deleteDatabase, deleteFile, enforceCallingOrSelfPermission, enforceCallingOrSelfUriPermission, enforceCallingPermission, enforceCallingUriPermission, enforcePermission, enforceUriPermission, enforceUriPermission, fileList, getApplicationContext, getApplicationInfo, getAssets, getBaseContext, getCacheDir, getClassLoader, getCodeCacheDir, getContentResolver, getDatabasePath, getDir, getExternalCacheDir, getExternalCacheDirs, getExternalFilesDir, getExternalFilesDirs, getExternalMediaDirs, getFilesDir, getFileStreamPath, getMainLooper, getNoBackupFilesDir, getObbDir, getObbDirs, getPackageCodePath, getPackageManager, getPackageName, getPackageResourcePath, getSharedPreferences, getSystemServiceName, getWallpaper, getWallpaperDesiredMinimumHeight, getWallpaperDesiredMinimumWidth, grantUriPermission, isRestricted, openFileInput, openFileOutput, openOrCreateDatabase, openOrCreateDatabase, peekWallpaper, registerReceiver, registerReceiver, removeStickyBroadcast, removeStickyBroadcastAsUser, revokeUriPermission, sendBroadcast, sendBroadcast, sendBroadcastAsUser, sendBroadcastAsUser, sendOrderedBroadcast, sendOrderedBroadcast, sendOrderedBroadcastAsUser, sendStickyBroadcast, sendStickyBroadcastAsUser, sendStickyOrderedBroadcast, sendStickyOrderedBroadcastAsUser, setWallpaper, setWallpaper, startInstrumentation, startService, stopService, unbindService, unregisterReceiver`

    - ### Methods inherited from class android.content.Context

      `getColor, getColorStateList, getDrawable, getString, getString, getSystemService, getText, obtainStyledAttributes, obtainStyledAttributes, obtainStyledAttributes, obtainStyledAttributes, registerComponentCallbacks, unregisterComponentCallbacks`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.zipow.videobox.view.ConfToolbar.Listener

      `onClickLeave`

- - ### Constructor Detail

    - #### MeetingActivity

          public MeetingActivity()

  - ### Method Detail

    - #### getLayout

          protected int getLayout()

      Get the layout ID for MeetingActivity. The layout should include zm_conf_main_screen as a child view.
      Overrides:
        `getLayout` in class `com.zipow.videobox.ConfActivityNormal`

    - #### isImmersedModeEnabled

          public boolean isImmersedModeEnabled()

      Overrides:
        `isImmersedModeEnabled` in class `com.zipow.videobox.ConfActivity`

    - #### isAlwaysFullScreen

          protected boolean isAlwaysFullScreen()

      Return true if your MeetingActivity layout is always full screen (There is no other content around meeting content).
      Returns:
        true/false

    - #### isSensorOrientationEnabled

          protected boolean isSensorOrientationEnabled()

      Return false if you want to specify orientation in your code
      Overrides:
        `isSensorOrientationEnabled` in class `com.zipow.videobox.ConfActivityNormal`

    - #### isVideoMuted

          public boolean isVideoMuted()

      Check if video is muted
      Returns:
        true/false

    - #### muteVideo

          public void muteVideo(boolean mute)

      Mute video
      Overrides:
        `muteVideo` in class `com.zipow.videobox.ConfActivityNormal`

    - #### onStartShare

          protected void onStartShare()

      Called on my sharing is started.
      Overrides:
        `onStartShare` in class `com.zipow.videobox.ConfActivityNormal`

    - #### onStopShare

          protected void onStopShare()

      Called on my sharing is stopped.
      Overrides:
        `onStopShare` in class `com.zipow.videobox.ConfActivityNormal`

    - #### onAudioStatusChanged

          protected void onAudioStatusChanged()

      Called on my audio status is changed.
      Overrides:
        `onAudioStatusChanged` in class `com.zipow.videobox.ConfActivityNormal`

    - #### onMyVideoStatusChanged

          protected void onMyVideoStatusChanged()

      Called on my video status is changed.
      Overrides:
        `onMyVideoStatusChanged` in class `com.zipow.videobox.ConfActivityNormal`

    - #### onMeetingConnected

          protected void onMeetingConnected()

      Call on meeting is connected.
      Overrides:
        `onMeetingConnected` in class `com.zipow.videobox.ConfActivityNormal`

    - #### onSilentModeChanged

          protected void onSilentModeChanged(boolean inSilentMode)

      Call on meeting silent mode is changed.
      Overrides:
        `onSilentModeChanged` in class `com.zipow.videobox.ConfActivityNormal`
      Parameters:
        `inSilentMode` - whether it is in silent mode

    - #### onMyAudioTypeChanged

          protected void onMyAudioTypeChanged()

      Called on my audio type is changed.
      Overrides:
        `onMyAudioTypeChanged` in class `com.zipow.videobox.ConfActivityNormal`

    - #### onMyAudioSourceTypeChanged

          protected void onMyAudioSourceTypeChanged()

      Called on my audio source type is changed.
      Overrides:
        `onMyAudioSourceTypeChanged` in class `com.zipow.videobox.ConfActivityNormal`

    - #### onMyRaiseLowerHandStatusChanged

          protected void onMyRaiseLowerHandStatusChanged(boolean isRaiseHand)

      Called on my raise hand status is changed.
      Overrides:
        `onMyRaiseLowerHandStatusChanged` in class `com.zipow.videobox.ConfActivityNormal`

    - #### isMeetingConnected

          public boolean isMeetingConnected()

      Check if meeting is connected
      Returns:
        true or false

    - #### isInSilentMode

          public boolean isInSilentMode()

      Check if it is now in silent mode
      Returns:
        true or false

    - #### isSharingOut

          public boolean isSharingOut()

      Check if current user is sharing.
      Overrides:
        `isSharingOut` in class `com.zipow.videobox.ConfActivity`

    - #### showLeaveDialog

          public void showLeaveDialog()

      Show leave meeting dialog

    - #### showAudioOptions

          public void showAudioOptions()

      Show audio options menu
      Overrides:
        `showAudioOptions` in class `com.zipow.videobox.ConfActivityNormal`

    - #### showVideoOptions

          public void showVideoOptions()

      Show video options menu

    - #### showParticipants

          public void showParticipants()

      Show participants screen

    - #### showShareOptions

          public void showShareOptions()

      Show share options menu

    - #### doAudioAction

          public void doAudioAction()

      Do audio action like the standard behavior of Zoom:

    - #### showMoreOptions

          public void showMoreOptions()

      Show more options

    - #### canSwitchCamera

          public boolean canSwitchCamera()

      Check if it can switch camera now
      Overrides:
        `canSwitchCamera` in class `com.zipow.videobox.ConfActivity`
      Returns:
        true or false

    - #### switchToNextCamera

          public void switchToNextCamera()

      Switch to next camera
      Overrides:
        `switchToNextCamera` in class `com.zipow.videobox.ConfActivity`

    - #### isAudioConnected

          public boolean isAudioConnected()

      Check if audio is connected
      Overrides:
        `isAudioConnected` in class `com.zipow.videobox.ConfActivity`
      Returns:
        true or false

    - #### isAudioMuted

          public boolean isAudioMuted()

      Check if microphone is muted
      Overrides:
        `isAudioMuted` in class `com.zipow.videobox.ConfActivity`

    - #### connectVoIP

          public boolean connectVoIP()

      Connect audio with VoIP
      Returns:
        true or false

    - #### disconnectAudio

          public void disconnectAudio()

      Disconnect audio connection
      Overrides:
        `disconnectAudio` in class `com.zipow.videobox.ConfActivity`

    - #### muteAudio

          public void muteAudio(boolean mute)

      Mute microphone
      Overrides:
        `muteAudio` in class `com.zipow.videobox.ConfActivityNormal`

    - #### stopShare

          public void stopShare()

      Stop share

    - #### dismissAllTips

          public void dismissAllTips()

      Dismiss all tips (includes option menus)

    - #### isCMREnabled

          public boolean isCMREnabled()

      For check whether cloud record is enabled
      Returns:
        true or false

    - #### isCMRInProgress

          public boolean isCMRInProgress()

      For check whether cloud record is in progress
      Returns:
        true or false

    - #### startCloudRecord

          public void startCloudRecord()

      Start cloud record in meeting

    - #### stopCloudRecord

          public void stopCloudRecord()

      Stop cloud record in meeting

    - #### canSwitchAudioSource

          public boolean canSwitchAudioSource()

      Check if can switch audio source
      Overrides:
        `canSwitchAudioSource` in class `com.zipow.videobox.ConfActivity`
      Returns:
        true or false

    - #### getCurrentAudioSourceType

          public int getCurrentAudioSourceType()

      get Current audio source type
      Returns:
        source type defined in AudioSourceType.java

    - #### switchAudioSource

          public void switchAudioSource()

      Switch audio source.
      Overrides:
        `switchAudioSource` in class `com.zipow.videobox.ConfActivity`

    - #### isAllowToChat

          public boolean isAllowToChat()

      Check if current meeting allow to chat
      Returns:
        true or false

    - #### showChatsView

          public void showChatsView()

      Show meeting chat view

    - #### raiseHand

          public void raiseHand()

      Raise my hand

    - #### lowerHand

          public void lowerHand()

      Lower my hand

    - #### isRaisedHand

          public boolean isRaisedHand()

      get my raise hand status
      Returns:
        true or false

    - #### getConfChatAccessibilityDescription

          public static java.lang.String getConfChatAccessibilityDescription(android.content.Context context,
                                                                             com.zipow.videobox.view.ConfChatItem confChatItem)

    - #### processSpokenAccessibilityForConfCmd

          public void processSpokenAccessibilityForConfCmd(android.view.View focusView,
                                                           int cmd,
                                                           long ret)

      Process spoken accessibility for conf cmd.
      Parameters:
        `focusView` - the focus view
        `cmd` - the cmd
        `ret` - the ret